searchNodes=[{"doc":"Documentation for KeywordParser .","ref":"Keywords.html","title":"Keywords","type":"module"},{"doc":"Removes pattern by name. Examples iex&gt; Keywords . kill_pattern ( :stocks ) { :ok , :stocks } iex&gt; Keywords . kill_pattern ( :stocks ) { :error , :not_found }","ref":"Keywords.html#kill_pattern/1","title":"Keywords.kill_pattern/1","type":"function"},{"doc":"Generates new keyword-pattern for parsing strings from a list of keywords. opts -&gt; case_sensitive: true/false -&gt; substrings: true/false defaults -&gt; case_sensitive: false, substrings: false Examples iex&gt; Keywords . new_pattern ( :stocks , [ &quot;TSLA&quot; , &quot;XOM&quot; , &quot;AMZN&quot; ] ) { :ok , :stocks } iex&gt; Keywords . new_pattern ( :stocks , [ &quot;TSLA&quot; , &quot;XOM&quot; , &quot;AMZN&quot; ] ) { :error , :already_started }","ref":"Keywords.html#new_pattern/3","title":"Keywords.new_pattern/3","type":"function"},{"doc":"Parses tickers from string opts -&gt; counts: true/false (include total occurrences of each keyword) -&gt; aggregate: true/false (group results by pattern name) defaults -&gt; counts: false, aggregate: true Examples iex&gt; Keywords . parse ( &quot; XOM AAPL $TSLA buy now, ++ PLTR and $AMZN&quot; , :stocks ) [ XOM , AAPL , TSLA , PLTR , AMZN ] iex&gt; Keywords . parse ( &quot; XOM AAPL $TSLA buy now, ++ PLTR and $AMZN&quot; , :stocks_2 ) [ &quot;AAPL&quot; , &quot;PLTR&quot; ] iex&gt; Keywords . parse ( &quot; XOM AAPL $TSLA buy now, ++ PLTR and $AMZN&quot; , [ :stocks , :stocks_2 ] ) [ &quot;AAPL&quot; , &quot;PLTR&quot; , XOM , TSLA , PLTR , AMZN ] iex&gt; Keywords . parse ( &quot; XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN&quot; , :all ) [ &quot;XOM&quot; , &quot;AMZN&quot; , &quot;TSLA&quot; , &quot;AAPL&quot; , &quot;PLTR&quot; ] iex&gt; Keywords . parse ( &quot; XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN&quot; , :stocks , [ counts : true ] ) [ { &quot;AMZN&quot; , 2 } , { &quot;TSLA&quot; , 1 } , { &quot;XOM&quot; , 1 } ] iex&gt; Keywords . parse ( &quot; XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN&quot; , [ :stocks , :stocks_2 ] , [ counts : true ] ) [ { &quot;AAPL&quot; , 1 } , { &quot;AMZN&quot; , 2 } , { &quot;PLTR&quot; , 1 } , { &quot;TSLA&quot; , 1 } , { &quot;XOM&quot; , 1 } ] iex&gt; Keywords . parse ( &quot; XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN&quot; , [ :stocks , :stocks_2 ] , [ counts : true , aggregate : false ] ) [ stocks : [ { &quot;AMZN&quot; , 2 } , { &quot;TSLA&quot; , 1 } , { &quot;XOM&quot; , 1 } ] , stocks_2 : [ { &quot;AAPL&quot; , 1 } , { &quot;PLTR&quot; , 1 } ] ] iex&gt; Keywords . parse ( &quot; XOM AAPL AMZN $TSLA buy now, ++ PLTR and $AMZN&quot; , [ :stocks , :stocks_2 ] , [ aggregate : false ] ) [ stocks : [ &quot;XOM&quot; , &quot;AMZN&quot; , &quot;TSLA&quot; ] , stocks_2 : [ &quot;AAPL&quot; , &quot;PLTR&quot; ] ] iex&gt; Keywords . parse ( &quot;a|n[xwn;qw%dl$qm*w&quot; , :stocks ) [ ] iex&gt; Keywords . parse ( nil , :stocks ) [ ]","ref":"Keywords.html#parse/3","title":"Keywords.parse/3","type":"function"},{"doc":"Checks if pattern exists. Examples iex&gt; Keywords . pattern_exists? ( :stocks ) true iex&gt; Keywords . pattern_exists? ( :stonks ) false","ref":"Keywords.html#pattern_exists?/1","title":"Keywords.pattern_exists?/1","type":"function"},{"doc":"Updates a keyword-pattern. Examples iex&gt; Keywords . update_pattern ( :stocks , [ &quot;TSLA&quot; , &quot;XOM&quot; , &quot;AMZN&quot; ] ) { :ok , :stocks } iex&gt; Keywords . update_pattern ( :stonks , [ &quot;TSLA&quot; , &quot;XOM&quot; , &quot;AMZN&quot; ] ) { :error , :pattern_not_found }","ref":"Keywords.html#update_pattern/2","title":"Keywords.update_pattern/2","type":"function"},{"doc":"","ref":"Keywords.Pattern.html","title":"Keywords.Pattern","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Keywords.Pattern.html#child_spec/1","title":"Keywords.Pattern.child_spec/1","type":"function"},{"doc":"","ref":"Keywords.Pattern.html#get/1","title":"Keywords.Pattern.get/1","type":"function"},{"doc":"","ref":"Keywords.Pattern.html#start_link/1","title":"Keywords.Pattern.start_link/1","type":"function"},{"doc":"","ref":"Keywords.Pattern.html#update/2","title":"Keywords.Pattern.update/2","type":"function"},{"doc":"","ref":"Parser.html","title":"Parser","type":"module"},{"doc":"","ref":"Parser.html#find_matches/2","title":"Parser.find_matches/2","type":"function"}]